List cohort members
Returns a cursor-paginated list of cohort members. Each item includes membership fields and a nested user (id, name, email, image). Enrollment fields (statusId, legalEnrollmentEffectiveAt, matriculationNumber, technicalEnrollmentProcessedAt) may be null. Scoped to your integration’s institution via Basic Auth credentials.
GET
/continuing-education/{id}/cohorts/{cohortId}/membersPath parameters
idstringrequiredcohortIdstringrequiredQuery parameters
cursorstringlimitintegerdefault: 10
Responses
200List of cohort members
dataCohortMembership[]requiredShow propertiesHide properties
Array of
CohortMembershipidstringrequireduserIdstringrequiredcohortIdstringrequiredinstitutionIdstringrequiredstatusIdstring | nullrequiredcreatedAtstring<date-time> | nullrequiredupdatedAtstring<date-time> | nullrequiredlegalEnrollmentEffectiveAtstring<date-time> | nullrequiredmatriculationNumberstring | nullrequiredtechnicalEnrollmentProcessedAtstring<date-time> | nullrequireduserSimpleUserrequiredBasic user reference (`id`, `name`, `email`, `image`).
Show propertiesHide properties
idstringrequirednamestringrequiredemailstring<email>requiredimagestring | nullrequiredpaginationCursorPaginationrequiredShow propertiesHide properties
next_cursorstring | nullrequiredhas_morebooleanrequiredlimitintegerrequiredmetaResponseMetarequiredShow propertiesHide properties
requestIdstringrequiredtimestampstring<date-time>requiredversionstringrequiredAllowed:
v4401Unauthorized
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring404Not Found
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring429Too Many Requests
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring500Internal Server Error
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestringRequest
curl -X GET "https://fuxam.app/api/v4/continuing-education/string/cohorts/string/members"const response = await fetch("https://fuxam.app/api/v4/continuing-education/string/cohorts/string/members", {
method: "GET"
});import requests
response = requests.get(
"https://fuxam.app/api/v4/continuing-education/string/cohorts/string/members",
)Response
{
"data": [
{
"id": "cmem_001",
"userId": "user_abc123",
"cohortId": "coh_001",
"institutionId": "inst_123",
"statusId": null,
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": null,
"legalEnrollmentEffectiveAt": null,
"matriculationNumber": null,
"technicalEnrollmentProcessedAt": null,
"user": {
"id": "user_abc123",
"name": "Jane Doe",
"email": "jane@example.com",
"image": null
}
}
],
"pagination": {
"next_cursor": "string",
"has_more": true,
"limit": 0
},
"meta": {
"requestId": "req_1234567890_abc",
"timestamp": "2026-06-02T07:00:00.000Z",
"version": "v4"
}
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}